--[[

Neovim Configuration
Configuration Home: https://github.com/esprssoo/dotfiles

--]]

vim.g.mapleader = " "
vim.g.netrw_banner = 0

require "my.plugins"
require "my.options"
require "my.keymaps"

vim.api.nvim_create_autocmd("TextYankPost", {
    group = vim.api.nvim_create_augroup("HighlightYank", {}),
    pattern = "*",
    callback = function()
        vim.highlight.on_yank()
    end,
})
