### Configurations

- [Neovim Nightly](https://github.com/neovim/neovim)
- [Kitty](https://github.com/kovidgoyal/kitty)
- [Fish Shell](https://github.com/fish-shell/fish-shell)
- [tmux](https://github.com/tmux/tmux)

### Recommended
- [ripgrep (rg)](https://github.com/BurntSushi/ripgrep)
- [exa](https://github.com/ogham/exa)
- [zoxide](https://github.com/ajeetdsouza/zoxide)
- [starship](https://github.com/starship/starship)

**Usage:**

- Use [stow](https://www.gnu.org/software/stow/) to manage your symlinks.
- `git clone https://github.com/esprssoo/dotfiles.git && cd dotfiles`
- Run `stow {package}` to enable the configuration for any package you
  like, where `{package}` is one of the directories in the git repository.
- Run `stow -D {package}` to disable the package.
