set -U fish_greeting

alias exa="exa --group-directories-first"
alias newkey="gpg-connect-agent \"scd serialno\" \"learn --force\" /bye"
[ "$TERM" = "xterm-kitty" ] && alias ssh="kitty +kitten ssh"
abbr vim nvim
abbr ls exa
abbr ll exa -lh
abbr la exa -lha
abbr gs git status
abbr gc git commit
abbr gap git add -p

# Keybinds
bind -k nul 'forward-char'

# Environment variables
set -x -g RUSTUP_HOME $XDG_DATA_HOME/rustup
set -x -g CARGO_HOME $XDG_DATA_HOME/cargo
set -x -g PATH $CARGO_HOME/bin $RUSTUP_HOME/bin $HOME/.local/bin $PATH
